def approximate_sqrt(x, stima, steps):
  """
  Approssima la radice quadrata di x usando la
  seguente procedura:
  1) si inizia da una stima della radice quadrata
  2) si aggiorna la stima come la media di:
    2.1) x/stima
    2.2) stima
  3) si ripete il punto 2 il numero di volte
  indicato dal parametro steps
  """
  for i in range(0,steps):
    stima = 0.5*(x / stima + stima)
  return stima

def sqrt(x):
  return approximate_sqrt(x, x, 10)

print(sqrt(2))
print(sqrt(4))
print(sqrt(100))
